=== debian/changelog ===
tc-api (1.0.6-1) unstable; urgency=medium

  * update

 -- liuxin <liuxin@uniontech.com>  Mon, 21 Feb 2022 13:36:31 +0800

tc-api (1.0.5-1) unstable; urgency=medium

  * Solve the problem that adding stack protection parameter causes tc_sign to segfault.

 -- liuxin <liuxin@uniontech.com>  Mon, 14 Feb 2022 09:44:28 +0800

tc-api (1.0.4-1) unstable; urgency=medium

  * Add secure compilation parameters.
  * Fix memory leaks. 

 -- liuxin <liuxin@uniontech.com>  Mon, 13 Dec 2021 09:51:57 +0800

tc-api (1.0.3-1) unstable; urgency=medium

  * Fix unexpected segfault problem. 

 -- liuxin <liuxin@uniontech.com>  Mon, 22 Nov 2021 20:48:39 +0800

tc-api (1.0.2-1) unstable; urgency=medium

  * Fix test issues. 

 -- liuxin <liuxin@uniontech.com>  Mon, 22 Nov 2021 09:41:37 +0800

tc-api (1.0.1-1) unstable; urgency=medium

  * Fix test issues and version upgrades. 

 -- liuxin <liuxin@uniontech.com>  Wed, 17 Nov 2021 13:22:09 +0800

tc-api (1.0.0-1) unstable; urgency=medium

  * First edition interface implementation.

 -- liuxin <liuxin@uniontech.com>  Tue, 19 Oct 2021 15:47:25 +0800
