=== debian/control ===
Source: tc-api
Section: libs
Priority: optional
Maintainer: liuxin <liuxin@uniontech.com>
Build-Depends: debhelper (>= 11),
               libtss2-esys0,
               libtss2-tcti-tabrmd0,
               libsystemd-dev,
               libtss2-dev
Standards-Version: 4.1.3
Homepage: https://gitlabwh.uniontech.com/wuhan/system-security/tpm-tcm/libtc-wrapper
#Vcs-Browser: https://salsa.debian.org/debian/tc-api
#Vcs-Git: https://salsa.debian.org/debian/tc-api.git

Package: libtc-api
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, tpm2-abrmd, libtss2-tcti-tabrmd0
Description: Trusted Computing Interface
 Encapsulate the functional differences between TPM and TCM to provide 
 developers with a unified and easy-to-use trusted computing interface.
